@import "src/assets/styles/00-settings/settings";


.resource-card-container {
  height: 100%;
  display: grid;
  grid-template-rows: auto 1fr;
  cursor: pointer;

  .card-header {
    display: grid;
    grid-row: 1;
    grid-template: auto auto / auto 1fr;

    .header-image {
      grid-row: 1 / span 2;
      grid-column: 1;
    }

    .header-title {
      font-size: 20px;
      font-weight: 500;
      margin-left: 10px;
      grid-row: 1;
      grid-column: 2;
      white-space: nowrap;
      overflow: hidden;
    }

    .header-name {
      margin-left: 10px;

      grid-row: 2;
      grid-column: 2;
    }

  }

  .card-content {
    grid-row: 2;
    padding: 20px 0;

    .content-image {
      width: 100%;
      height: 200px;
      background-position: center;
      background-size: cover;
    }

    .content-description {
      margin: 20px 0;
      overflow: hidden;
    }
  }
}
